> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Time Entry

> Update a clock-in record's start and/or end time.
Requires clock_in:times:edit permission.
Creates an audit log entry tracking the change.



## OpenAPI

````yaml put /check-in/clock-in/{time_entry_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/clock-in/{time_entry_id}:
    put:
      tags:
        - provider
        - check-in
        - clock-in
      summary: Update Time Entry
      description: |-
        Update a clock-in record's start and/or end time.
        Requires clock_in:times:edit permission.
        Creates an audit log entry tracking the change.
      operationId: update_time_entry_check_in_clock_in__time_entry_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: time_entry_id
          in: path
          required: true
          schema:
            type: string
            title: Time Entry Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClockInRecordUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClockInRecord'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClockInRecordUpdate:
      properties:
        startTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Starttime
        endTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endtime
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
      type: object
      title: ClockInRecordUpdate
    ClockInRecord:
      properties:
        id:
          type: string
          title: Id
        userId:
          type: string
          title: Userid
        startTime:
          type: string
          format: date-time
          title: Starttime
        locationId:
          type: string
          title: Locationid
        endTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endtime
      type: object
      required:
        - id
        - userId
        - startTime
        - locationId
      title: ClockInRecord
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````